{% extends 'base_admin.html.twig' %}
{% block title %}Tableau de bord Gestion Catalogue{% endblock %}
{% block body %}
     <section id="borrowing-index" class="container-fluid">
		<section class="container">
			<header class="row">
                <div class="col-12">
                    <h1 class="service">Gestion Catalogue</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12">   
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                    <th>Titre</th>
                                    <th>Interprète</th>              
                                    <th>Disponible</th>
                                    <th>Emprunteur</th>
                                    <th>Actions</th>
                                </tr>
                        </thead>
                        <tbody>
                        {% for vinyle in vinyles %}
                            <tr>
                                <td data-label="Id">{{ vinyle.id }}</td>
                                <td data-label="Titre">{{ vinyle.title }}</td>
                                <td data-label="Interprètre">{{ vinyle.interpreter }}</td>               
                                <td data-label="Disponibilité">{{ vinyle.avaibility ? 'Disponible' : 'Emprunté' }}</td>
                                <td data-label="Emprunteur">{{ vinyle.borrower }}</td>   
                                <td data-label="Actions">
                                    <a href="{{ path('vinyle_show_administrator', {'id': vinyle.id}) }}">Détails</a>
                                    <a href="{{ path('vinyle_edit_administrator', {'id': vinyle.id}) }}">Mise à Jour</a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="7">pas d'enregistrement</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    {{ knp_pagination_render(vinyles) }}
                    <a href="{{ path('vinyle_new') }}">Nouveau Vinyle</a>
                </div>
            </div>
        </section>
    </section>                
{% endblock %}
{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  


